#33 partialbuild include path and bug 2537654

closed-accepted
None
5
2009-05-17
2009-04-27
Bastian
No

When using partial build the include path in tempfile is wrong if file is not in the "root"-project folder.
Example file in folder: includes/test.tex

Partial-Build-Error: --> \include{include/\test.tex}
this is now fixed to:
\include{include/test.tex}

Fix for Bug 2537654 --> Cursor-Position after TexStyleCompletion

Discussion

  • Thanks for the patch.
    As far as I see, this does not fix the partial-build-error, maybe you included the wrong patch file?

     
    • assigned_to: nobody --> borisvl
    • status: open --> pending-invalid
     
  • Bastian
    Bastian
    2009-05-05

    Hey Boris,

    I put the wrong file into the patch, if I find out how to upload an new patch to this bug
    this patch is hopefully valid.

    Regards Bastian

     
  • Bastian
    Bastian
    2009-05-05

    • status: pending-invalid --> open-invalid
     
  • Bastian
    Bastian
    2009-05-05

    Hi, I did not figure out how to attach a new file so here are the few lines of the patch:

    Index: source/net/sourceforge/texlipse/model/TexStyleCompletionManager.java

    RCS file: /cvsroot/texlipse/net.sourceforge.texlipse/source/net/sourceforge/texlipse/model/TexStyleCompletionManager.java,v
    retrieving revision 1.3
    diff -u -r1.3 TexStyleCompletionManager.java
    --- source/net/sourceforge/texlipse/model/TexStyleCompletionManager.java 3 May 2006 18:23:17 -0000 1.3
    +++ source/net/sourceforge/texlipse/model/TexStyleCompletionManager.java 27 Apr 2009 17:52:40 -0000
    @@ -132,7 +132,7 @@
    String replacement = tag + selectedText + "}";

    // Derive cursor position
    - int cursor = tag.length() + 1;
    + int cursor = tag.length() + selectedText.length() + 1;

    // Compute a suitable context information
    IContextInformation contextInfo =

    Index: source/net/sourceforge/texlipse/builder/TexlipseBuilder.java

    RCS file: /cvsroot/texlipse/net.sourceforge.texlipse/source/net/sourceforge/texlipse/builder/TexlipseBuilder.java,v
    retrieving revision 1.19
    diff -u -r1.19 TexlipseBuilder.java
    --- source/net/sourceforge/texlipse/builder/TexlipseBuilder.java 6 Sep 2008 12:05:51 -0000 1.19
    +++ source/net/sourceforge/texlipse/builder/TexlipseBuilder.java 5 May 2009 06:59:54 -0000
    @@ -296,7 +296,7 @@
    char c = name.charAt(i);
    if (c == File.separatorChar)
    sb.append('/');
    - if (c == ' ') {
    + else if (c == ' ') {
    sb.append("\\space ");
    }
    else

     
  • Bastian
    Bastian
    2009-05-05

    • status: open-invalid --> open-fixed
     
    • status: open-fixed --> open-accepted
     
  • Hi,

    thanks for resubmitting. I have added your patch to cvs version, will be the next release.

     
  • Added to TeXlipse public release

     
    • status: open-accepted --> closed-accepted